=== debian/changelog ===
scikit-misc (0.1.4+dfsg-1) unstable; urgency=low

  * Initial Packaging (Closes: #998905)

 -- Diane Trout <diane@ghic.org>  Mon, 08 Nov 2021 13:52:08 -0800
