=== debian/tests/control ===
Tests: run-test
Depends: python3-pytest, @
