=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$//,repack" \
    https://github.com/has2k1/scikit-misc/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
