## scikit-misc 0.3.1%2Bdfsg2

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=skmisc
export PYBUILD_TEST_ARGS=-v -k "not skmisc.__config__" --pyargs skmisc
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_install:
	dh_numpy3
