## scikit-misc 0.3.1+dfsg

=== debian/changelog ===
scikit-misc (0.3.1+dfsg-3build3) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:46:29 +0000

scikit-misc (0.3.1+dfsg-3build2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:32:51 +0100

scikit-misc (0.3.1+dfsg-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:04:42 +0000

scikit-misc (0.3.1+dfsg-3) unstable; urgency=medium

  * Use libblas-dev | libblas.so for blas dependency (Thanks: Sébastien Villemot)
  * Add force-netlib.patch as the default build system can't autodetect
    netlib blas.

 -- Diane Trout <diane@ghic.org>  Sun, 31 Dec 2023 10:52:14 -0800

scikit-misc (0.3.1+dfsg-2) unstable; urgency=medium

  * Remove libatlas-base-dev from build-depends (Closes: #1056687)
    - Already added the replacement libopenblas-dev
  * updated force-python3-script-executable for a few tool calls to python
    with python3
  * Test supported py3versions with -s instead of -r

 -- Diane Trout <diane@ghic.org>  Sat, 30 Dec 2023 21:16:34 -0800

scikit-misc (0.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1055726)
  * Update build-dependencies for new build system.
    - Add git, pkg-config, pybuild-plugin-pyproject, and python3-mesonpy
  * remove patches use-debian-version, simplify-test-runners, and ship-test-data
    as they are no longer relevant with the new build system.
  * Add force-python3-script-executable.patch for scripts run by meson
    that used #!/usr/bin/env python as the script executable
  * Refresh fix-typos.patch
  * Switch from libblas-dev to libopenblas-dev (Closes: #1056687)
  * Add disable-coverage.patch to not compute test coverage.
    - also remove python3-pytest-cov from build-dependnecy.
    - the coverage report ends up being installed and isn't really needed
  * Add python3-all-dev dependency to autopkgtest runner.
  * Add make-config-consistent.patch to make merging the python3.11
    and python3.12 dist-packages directory easier for pybuild

 -- Diane Trout <diane@ghic.org>  Sun, 30 Jul 2023 10:43:27 -0700
