=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=skmisc
export PYBUILD_TEST_ARGS=-v -k "not skmisc.__config__"
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_numpy3
	dh_install

override_dh_clean:
	-rm skmisc/loess/src/_loess.c cythonize.dat coverage.xml _configtest*
	dh_clean
