## scikit-misc 0.3.1+dfsg2

=== Makefile ===
--- 
+++ 
@@ -15,11 +15,13 @@
 	@echo "dist - package"
 	@echo "install - install the package to the active Python's site-packages"
 	@echo "develop - install the package in development mode"
+	@echo "update - Upgrade installed python packages and linting tools"
 
 clean: clean-build clean-pyc clean-test
 
 clean-build:
 	rm -fr build/
+	rm -fr build-install/
 	rm -fr dist/
 	rm -fr .eggs/
 	find . -name '*.egg-info' -exec rm -fr {} +
@@ -37,35 +39,42 @@
 	rm -f coverage.xml
 	rm -fr htmlcov/
 
-lint:
-	flake8 skmisc --exclude=skmisc/__config__.py
+ruff:
+	ruff . $(args)
+
+ruff-isort:
+	ruff --select I001 --quiet . $(args)
+
+
+lint: ruff ruff-isort
+
+lint-fix:
+	make lint args="--fix"
+
+build:
+	./spin build
 
 test: clean-test
-	pytest
-
-test-all:
-	tox
+	./spin test
 
 coverage:
-	coverage report -m
-	coverage html
+	./spin coverage
+	./spin coverage-html
 	$(BROWSER) htmlcov/index.html
 
 docs:
-	$(MAKE) -C doc clean
-	$(MAKE) -C doc html
+	./spin docs
 	$(BROWSER) doc/_build/html/index.html
 
-release: clean
-	bash ./tools/release.sh
+sdist: clean-test
+	./spin sdist
 
-dist: clean
-	python setup.py sdist
-	python setup.py bdist_wheel
-	ls -l dist
+dist: clean sdist wheel
+	python -m build
 
-install: clean
-	python setup.py install
+develop: build
+	pip install --no-build-isolation .
 
-develop: clean-pyc
-	python setup.py develop
+update:
+	pip list --outdated | cut -d ' ' -f1 | xargs -n1 pip install -U
+	pre-commit autoupdate
