=== debian/changelog ===
scikit-misc (0.3.1+dfsg2-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 15:04:07 +0000

scikit-misc (0.3.1+dfsg2-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * d/watch: switch to PyPI to grab the _version file. Fixes "0.0.0"
    version reporting.
  * d/control: pkg-config => pkgconf
  * d/control: upgrade to using Testsuite: autopkgtest-pkg-pybuild
  * d/{rules,clean}: simplify d/rules
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * d/upstream/metadata: added
  * Added the default Salsa CI pipeline to test the packaging
  * Standards-Version: 4.7.2 (routine-update)

  [ Andreas Tille ]
  * Team maintenance by DPT

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 13 Mar 2025 08:42:36 +0100

scikit-misc (0.3.1+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with NumPy 2 (Closes: #1094376)

 -- Timo Röhling <roehling@debian.org>  Thu, 30 Jan 2025 09:38:08 +0100
