=== debian/control ===
Source: scikit-misc
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-sequence-python3,
               gfortran,
               git,
               libblas-dev | libblas.so,
               liblapack-dev | liblapack.so,
               pkgconf,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-mesonpy,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-setuptools
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-misc
Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-misc.git
Homepage: https://github.com/has2k1/scikit-misc
Rules-Requires-Root: no

Package: python3-skmisc
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Miscellaneous tools for scientific computing
 Miscellaneous tools for data analysis and scientific computing.  This
 package provides a LOESS (locally estimated scatterplot smoothing)
 module
